ランタイム: Mix::Scene::IPlanter Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IPlanter Class Referenceabstract

プランターインターフェース More...

`#include <IPlanter.h>`

Inheritance diagram for Mix::Scene::IPlanter:
[legend]
Collaboration diagram for Mix::Scene::IPlanter:
[legend]

## Classes

struct | UNIT
| ユニット構造体 More...

## Public Member Functions

virtual const Mix::Matrix4x4 & | GetWorldMatrix (void) const =0
| ワールド行列を取得します More...
virtual void | SetWorldMatrix (const Mix::Matrix4x4 &worldMat)=0
| ワールド行列を設定します More...
virtual UInt32 | GetUnitCount (void) const =0
| ユニットの数を取得します More...
virtual const Mix::Scene::IPlanter::UNIT & | GetUnit (UInt32 index) const =0
| ユニットを取得します More...
virtual Boolean | SetUnit (UInt32 index, const Mix::Scene::IPlanter::UNIT &unit)=0
| ユニットを設定します More...
virtual Boolean | AddUnit (const Mix::Scene::IPlanter::UNIT &unit)=0
| ユニットを追加します More...
virtual Boolean | RemoveUnit (UInt32 index)=0
| ユニットを削除します More...
virtual void | ClearUnits (void)=0
| 全てのユニットを削除します More...
virtual void | Refresh (void)=0
| リフレッシュします More...
virtual const Mix::Geometry::AABB & | GetBounds (void) const =0
| 境界を取得します More...
virtual Boolean | IsIgnored (void) const =0
| 圏外かどうかを確認します More...
Public Member Functions inherited from Mix::Scene::IWidget
virtual Boolean | CanLocalLighting (void) const =0
| ローカルライティングをすることができるかどうかを確認します More...
Public Member Functions inherited from Mix::Scene::IEntity
virtual Boolean | IsDraw (void) const =0
| 描画するかどうかを確認します More...
virtual void | SetDraw (Boolean state)=0
| 描画するかどうかを設定します More...
virtual Boolean | IsLocalLighting (void) const =0
| ポイントライト、スポットライトによるライティングを行うかどうかを確認します More...
virtual void | SetLocalLighting (Boolean state)=0
| ポイントライト、スポットライトによるライティングを行うかどうかを設定します More...
virtual UInt32 | GetTransparencyPriority (void) const =0
| 半透明ポリゴンの描画の優先度を取得します More...
virtual void | SetTransparencyPriority (UInt32 priority)=0
| 半透明ポリゴンの描画の優先度を設定します More...
virtual Mix::Scene::WATER_CONTAINS_RESULT | GetDefaultWaterContainsResult (void) const =0
| 水中かどうかを判定する際のデフォルト値を取得します More...
virtual void | SetDefaultWaterContainsResult (Mix::Scene::WATER_CONTAINS_RESULT result)=0
| 水中かどうかを判定する際のデフォルト値を設定します More...
Public Member Functions inherited from Mix::Scene::IRendererObject
virtual Mix::Scene::IRendererObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | IsRendering (void) const =0
| レンダリングされているかどうかを確認します。 More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IPlanter (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IWidget
virtual | ~IWidget (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IEntity
virtual | ~IEntity (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IRendererObject
virtual | ~IRendererObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Scene::IRendererObject

enum

TYPE {
UNDEFINED = 0, UNIVERSAL_CAMERA = 1, VIEW_CAMERA = 2, HEMISPHERE_LIGHT = 3,
DIRECTIONAL_LIGHT = 4, SPOT_LIGHT = 5, POINT_LIGHT = 6, SKY_DOME = 7,
ATMOSPHERE_SCATTER = 8, LIGHT_SHAFTS_CASTER = 9, ACTOR_NODE = 10, ACTOR_MODEL = 11,
TERRAIN_MODEL = 12, LEAVING_PARTICLE = 13, SCATTER_PARTICLE = 14, PLANTER = 15,
WATER_POOL = 16, DYNAMICS_WORLD = 17, FLOOR = 18, GHOST = 19
}

| タイプ列挙定数 More...

## Detailed Description

プランターインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::IPlanter::~IPlanter | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual const Mix::Matrix4x4& Mix::Scene::IPlanter::GetWorldMatrix | ( | void |  | ) | const

pure virtual

ワールド行列を取得します

Returns
  ワールド行列を返します。

virtual void Mix::Scene::IPlanter::SetWorldMatrix | ( | const Mix::Matrix4x4 & | worldMat | ) |

pure virtual

ワールド行列を設定します

Parameters

  [in] | worldMat | ワールド行列を表す Mix::Matrix4x4 クラス

virtual UInt32 Mix::Scene::IPlanter::GetUnitCount | ( | void |  | ) | const

pure virtual

ユニットの数を取得します

Returns
  ユニットの数を返します。

virtual const Mix::Scene::IPlanter::UNIT& Mix::Scene::IPlanter::GetUnit | ( | UInt32 | index | ) | const

pure virtual

ユニットを取得します

Parameters

  [in] | index | ユニットのインデックス

Returns
  ユニットを表す Mix::Scene::IPlanter::UNIT 構造体を返します。

virtual Boolean Mix::Scene::IPlanter::SetUnit | ( | UInt32 | index,
|  | const Mix::Scene::IPlanter::UNIT & | unit
| ) |  |

pure virtual

ユニットを設定します

Parameters

  [in] | index | 設定するユニットのインデックス
  [in] | unit | 設定するユニットを表す Mix::Scene::IPlanter::UNIT 構造体

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IPlanter::AddUnit | ( | const Mix::Scene::IPlanter::UNIT & | unit | ) |

pure virtual

ユニットを追加します

Parameters

  [in] | unit | 追加するユニットを表す Mix::Scene::IPlanter::UNIT 構造体

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IPlanter::RemoveUnit | ( | UInt32 | index | ) |

pure virtual

ユニットを削除します

Parameters

  [in] | index | 削除するユニットのインデックス

Returns
  成功した場合は True を返します

virtual void Mix::Scene::IPlanter::ClearUnits | ( | void |  | ) |

pure virtual

全てのユニットを削除します

virtual void Mix::Scene::IPlanter::Refresh | ( | void |  | ) |

pure virtual

リフレッシュします

Note
  ワールド行列の際設定、ユニットの追加、削除などを行った際に実行してください。
  また、このメソッドは並列実行することができません。

virtual const Mix::Geometry::AABB& Mix::Scene::IPlanter::GetBounds | ( | void |  | ) | const

pure virtual

境界を取得します

Returns
  境界を表す Mix::Geometry::AABB を返します

virtual Boolean Mix::Scene::IPlanter::IsIgnored | ( | void |  | ) | const

pure virtual

圏外かどうかを確認します

Returns
  圏外の場合は True を返します

Note
  圏外とは描画判定に使用される八分木の範囲を超えて配置されている状態のことを表します。

The documentation for this class was generated from the following file:

- Mix/Scene/IPlanter.h